services:
  tinymediamanager:
    image: tinymediamanager/tinymediamanager:latest
    container_name: tinymediamanager
    environment:
      - USER_ID=1000
      - GROUP_ID=1000
      - ALLOW_DIRECT_VNC=true
      - LC_ALL=en_US.UTF-8 # force UTF8
      - LANG=en_US.UTF-8 # force UTF8
      - PASSWORD=lmqCQM,YSZGAYRty!tmm
    volumes:
      - ./data:/data
      - /home/mickey/nas/影视/WEB-DL/movie:/media/movie
      - /home/mickey/nas/影视/WEB-DL/tv_show:/media/tv_show
    ports:
      # - 5900:5900 # VNC port
      - 6003:4000 # Webinterface
    restart: unless-stopped
    extra_hosts:
      - host.docker.internal:host-gateway
